{% extends "base.html" %}

{% block title %}resources{% endblock %}

{% block content %}
    <h2>documents</h2>
    {% for item in resource %}
        <div>
            {{ item|component('link') }}
        </div>
    {% endfor %}
    {% if editable %}
    <section>
        <form name="doc"
              method="post"
              enctype="multipart/form-data"
              accept-charset="utf-8">
            <fieldset>
                <legend>new document</legend>
                <p>
                    <input type="text"
                    name="name"
                    placeholder="document name"
                    required>
                </p>
                <p>
                    <textarea name="body" rows="24" cols="72"></textarea>
                </p>
                <input type="submit" value="submit">
            </fieldset>
        </form>
    </section>
    {% endif %}
{% endblock %}
